<template>
  <div class="app-container">
    <el-form
      :model="queryParams"
      ref="queryRef"
      v-show="showSearch"
      :inline="true"
    >
      <el-form-item label="所属专家" prop="postCode">
        <el-input
          v-model="queryParams.postCode"
          placeholder="请输入所属专家"
          clearable
          size="small"
          @keyup.enter="handleQuery"
        />
      </el-form-item>
      <el-form-item label="手机号" prop="postCode">
        <el-input
          v-model="queryParams.postCode"
          placeholder="请输入手机号"
          clearable
          size="small"
          @keyup.enter="handleQuery"
        />
      </el-form-item>
      <el-form-item>
        <el-button type="primary" icon="Search" size="mini" @click="handleQuery"
          >搜索</el-button
        >
        <el-button icon="Refresh" size="mini" @click="resetQuery"
          >重置</el-button
        >
      </el-form-item>
    </el-form>

    <el-table v-loading="loading" :data="postList">
      <el-table-column label="数据编号" align="center" prop="postCode" />
      <el-table-column label="所属专家" align="center" prop="postCode" />
      <el-table-column label="联系电话" align="center" prop="postSort" />
      <el-table-column label="研究领域" align="center" prop="status" />
      <el-table-column label="浏览量" align="center" prop="status" />
      <el-table-column label="收藏量" align="center" prop="status" />
      <el-table-column
        label="入驻时间"
        align="center"
        prop="createTime"
        width="180"
      >
        <template #default="scope">
          <span>{{ parseTime(scope.row.createTime) }}</span>
        </template>
      </el-table-column>
      <el-table-column
        label="操作"
        align="center"
        class-name="small-padding fixed-width"
      >
        <template #default="scope">
          <!-- <el-button
            v-if="queryParams.type == 3"
            size="mini"
            type="text"
            icon="Delete"
            @click="handleDelete(scope.row.id)"
            >删除</el-button
          > -->
          <el-button size="mini" type="text" icon="Close" @click=""
            >取消关联</el-button
          >
          <!-- <el-button
            size="mini"
            type="text"
            icon="Edit"
            @click="handleEdit(scope.row.id)"
            >编辑</el-button
          > -->
        </template>
      </el-table-column>
    </el-table>

    <pagination
      v-show="total > 0"
      :total="total"
      v-model:page="queryParams.pageNum"
      v-model:limit="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>

<script setup>
import {
  demand,
  demandAdd,
  demandEdit,
  demandDetail,
  demandDelete,
} from "@/api/admin/expert/demand";

const { proxy } = getCurrentInstance();
const router = useRouter();

const postList = ref([]);
const loading = ref(true);
const showSearch = ref(true);
const total = ref(0);
const dateRange = ref([]);

const data = reactive({
  form: {},
  queryParams: {
    page_num: 1,
    page_size: 10,
    type: 2,
    postCode: undefined,
  },
  rules: {
    name: [{ required: true, message: "公司名称不能为空", trigger: "blur" }],
    dutyParagraph: [
      { required: true, message: "公司税号不能为空", trigger: "blur" },
    ],
    bank: [{ required: true, message: "开户行不能为空", trigger: "blur" }],
    bankAccount: [
      { required: true, message: "开户行账号不能为空", trigger: "blur" },
    ],
    bankPhone: [
      { required: true, message: "开户行电话不能为空", trigger: "blur" },
    ],
    email: [{ required: true, message: "电子邮箱不能为空", trigger: "blur" }],
    phone: [{ required: true, message: "联系电话不能为空", trigger: "blur" }],
    address: [{ required: true, message: "地址不能为空", trigger: "blur" }],
    username: [{ required: true, message: "联系人不能为空", trigger: "blur" }],
    userPhone: [
      { required: true, message: "联系人电话不能为空", trigger: "blur" },
    ],
    userAddress: [
      { required: true, message: "邮寄地址不能为空", trigger: "blur" },
    ],
  },
});

const { queryParams, form, rules } = toRefs(data);

/** 查询列表 */
function getList() {
  loading.value = true;
  postList.value = [1];
  loading.value = false;
  // demand(queryParams.value).then((response) => {
  //   postList.value = response.data.data;
  //   total.value = response.data.count;
  //   loading.value = false;
  // });
}
/** 搜索按钮操作 */
function handleQuery() {
  queryParams.value.pageNum = 1;
  getList();
}
/** 重置按钮操作 */
function resetQuery() {
  dateRange.value = [];
  proxy.resetForm("queryRef");
  handleQuery();
}
/** 删除按钮操作 */
function handleDelete(id) {
  proxy.$modal
    .confirm('是否确认删除订单号为"' + id + '"的数据项？')
    .then(function () {
      return demandDelete(postIds);
    })
    .then(() => {
      getList();
      proxy.$modal.msgSuccess("删除成功");
    })
    .catch(() => {});
}
function handleEdit(id) {
  router.push({ path: "./release", query: { id } });
}
getList();
</script>
